@import url('./variables.css');

.hero {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
}

.hero__image {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.hero-section {
    position: relative;
    background-color: var(--primary-color);
    color: var(--secondary-color);
    text-align: center;
}

.hero-section__content {
    z-index: 1;
    position: relative;
    padding: var(--margin-xxl);
}

.hero-section__content p {
    font-size: var(--normal-text-font-size);
    line-height: 1.5;
    margin: 0;
}

.triangle-section__button:hover {
    background-color: #daa520;
    transform: scale(1.05);
}

.hero-section__triangle {
    position: absolute;
    bottom: -150px;
    left: 0;
    width: 100%;
    height: 150px;
    background-color: var(--primary-color);
    clip-path: polygon(50% 100%, 0 0, 100% 0);
}

@media (max-width: 768px) {
    .triangle-section__content {
        padding: var(--margin-xl);
    }

    .triangle-section__content p {
        font-size: var(--normal-text-font-size);
    }

    .triangle-section__button {
        width: 80%;
    }
}

@media (max-width: 480px) {
    .triangle-section__content {
        padding: var(--margin-xl);
    }
}

.carousel {
    position: relative;
    width: 100%;
    overflow: hidden;
    margin-top: 270px;
}

.carousel__title {
    text-align: center;
    font-size: var(--title-font-size-extra-big);
    font-weight: var(--title-font-weight);
    margin-bottom: 20px;
}

.carousel__track-container {
    width: 100%;
    overflow: hidden;
    position: relative;
}

.carousel__track {
    display: flex;
    transition: transform 0.3s ease-in-out;
    gap: var(--gap-sm);
    justify-content: center;
}

.carousel__slide {
    flex: 0 0 100%;
    text-align: center;
    padding: var(--padding-md);
}

.carousel__image {
    width: 100%;
    height: 300px;
    object-fit: cover;
    border-radius: var(--border-radius-sm);
}

.carousel__sub-title {
    text-align: center;
    font-size: var(--subtitle-font-size);
    font-weight: var(--title-font-weight);
    margin-bottom: var(--margin-sm);
}

.carousel__button {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: var(--primary-color);
    color: var(--secondary-color);
    border: none;
    padding: var(--padding-sm);
    border-radius: 50%;
    cursor: pointer;
    z-index: 2;
    transition: background-color 0.3s ease;
}

.carousel__button-container {
    text-align: center;
}

.carousel__button--prev {
    left: var(--margin-md);
}

.carousel__button--next {
    right: var(--margin-md);
}

.carousel__button:hover {
    background-color: var(--accent-color);
}

@media (min-width: 768px) {
    .carousel__slide {
        flex: 0 0 50%;
    }
}

@media (min-width: 1024px) {
    .carousel__slide {
        flex: 0 0 33.33%;
    }
}

.values {
    background-color: var(--secondary-color);
    padding: var(--padding-xxl) var(--padding-xl);
    text-align: center;
}

.values__container {
    max-width: 1200px;
    margin: 0 auto;
}

.values__title {
    font-size: var(--title-font-size-extra-big);
    font-weight: var(--title-font-weight);
    color: var(--primary-color);
    margin-bottom: var(--margin-xl);
}

.values__grid {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: var(--gap-xl);
}

.values__item {
    background-color: var(--primary-color);
    color: var(--secondary-color);
    padding: var(--padding-xl);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}

.values__item:hover {
    transform: translateY(-10px);
    box-shadow: 0 6px 10px rgba(0, 0, 0, 0.2);
}

.values__text {
    font-size: var(--normal-text-font-size);
    font-weight: var(--normal-text-font-weight);
    line-height: 1.5;
}

@media (min-width: 768px) {
    .values__grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (min-width: 1024px) {
    .values__grid {
        grid-template-columns: repeat(4, 1fr);
    }
}

.success-stories {
    background-color: var(--primary-color);
    color: var(--secondary-color);
    padding: var(--padding-xxl) var(--padding-xl);
  }
  
  .success-stories__container {
    max-width: 1200px;
    margin: 0 auto;
    text-align: center;
  }
  
  .success-stories__title {
    font-size: var(--title-font-size-extra-big);
    font-weight: var(--title-font-weight);
    margin-bottom: var(--margin-xl);
    color: var(--secondary-color);
  }
  
  .success-stories__content {
    display: grid;
    grid-template-columns: 1fr;
    gap: var(--gap-xl);
    align-items: center;
  }
  
  .success-stories__text {
    font-size: var(--normal-text-font-size);
    line-height: 1.6;
  }

  .carousel__description {
    font-size: var(--normal-text-font-size);
    line-height: 1.6;
  }
  
  .success-stories__image img {
    width: 100%;
    height: auto;
    border-radius: var(--border-radius-md);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  }
  
  @media (min-width: 768px) {
    .success-stories__content {
      grid-template-columns: 1fr 1fr; 
    }
  
    .success-stories__text {
      text-align: left;
      font-size: var(--normal-text-font-size);
    }
  }
  
  @media (min-width: 1024px) {
    .success-stories__container {
      padding: 0 var(--padding-xl);
    }
  
    .success-stories__text {
      font-size: var(--subtitle-font-size);
    }
  }

  @media (min-width: 1440px) {
    .hero {
        height: 80vh;
    }

    .hero-section__content {
        margin-top: var(--margin-xxxl);
    }

    .carousel__slide {
        flex: 0 0 25%;
    }

    .values__grid {
        grid-template-columns: repeat(4, 1fr);
    }

    .success-stories__content {
        grid-template-columns: 1fr 1fr 1fr;
    }

    .success-stories__text {
        font-size: var(--subtitle-font-size);
    }
}
  